<?php
/**
 * Define main component constants
 *
 * @version    1.0.0
 * @author 	   ARTIO s.r.o., http://www.artio.net
 * @package    Charts
 * @copyright  Copyright (C) 2009 ARTIO s.r.o.. All rights reserved.
 * @since      Version 1.0.0
 */
define('ARTIOFUSIONCHARTS_OPTION', 'com_artiofusioncharts');
define('ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS', JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . ARTIOFUSIONCHARTS_OPTION . DS);
define('ARTIOFUSIONCHARTS_COMPONENT_BASE_URL', JURI::root() . 'administrator/components/' . ARTIOFUSIONCHARTS_OPTION . '/');
define('ARTIOFUSIONCHARTS_BASE_ABS', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . 'charts');
define('ARTIOFUSIONCHARTS_BASE_URL', ARTIOFUSIONCHARTS_COMPONENT_BASE_URL . 'charts');
define('ARTIOFUSIONCHARTS_BASE_LANG', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . 'lang');
define('ARTIOFUSIONCHARTS_ASSETS', ARTIOFUSIONCHARTS_COMPONENT_BASE_URL . 'assets/');
define('ARTIOFUSIONCHARTS_ASSETS_JS', ARTIOFUSIONCHARTS_COMPONENT_BASE_URL . 'assets/js/');
define('ARTIOFUSIONCHARTS_ASSETS_CSS', ARTIOFUSIONCHARTS_COMPONENT_BASE_URL . 'assets/css/');
define('ARTIOFUSIONCHARTS_HELPERS', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . 'helpers');
define('ARTIOFUSIONCHARTS_CACHE_ABS', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . 'cache' . DS);
define('ARTIOFUSIONCHARTS_CACHE_URL', ARTIOFUSIONCHARTS_COMPONENT_BASE_URL . 'cache/');
//plati pro free verzi
define('CHART', 'graph');
define('CHART_FILE', 'free');
//plati ro full verzi
/*
define('CHART','chart');
define('CHART_FILE','full');
*/
global $mainframe;
$template = $mainframe->getTemplate();
$template = $template ? $template : 'khepri';
define('ARTIOFUSIONCHARTS_SET_IMAGE', JURI::root() . 'administrator/templates/' . $template . '/images/menu/icon-16-config.png');
define('ARTIOFUSIONCHARTS_END_LINE', "\n");
?>